apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
  creationTimestamp: 2020-01-16T20:48:41Z
  generation: 1
  labels:
    run: pipedream-bumper
  name: pipedream-bumper
  namespace: pipedream
  resourceVersion: "380665812"
  selfLink: /apis/extensions/v1beta1/namespaces/pipedream/deployments/pipedream-bumper
  uid: 944c8e43-38a1-11ea-9fe3-0aba018a74c4
spec:
  progressDeadlineSeconds: 2147483647
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      run: pipedream-bumper
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        run: pipedream-bumper
    spec:
      containers:
      - env:
        - name: AWS_ACCESS_KEY_ID
          value: XXXXXXXXXXXXXXXXXXXX
        - name: AWS_SECRET_ACCESS_KEY
          value: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
        - name: AWS_DEFAULT_REGION
          value: us-west-1
        image: docker-registry.zooxlabs.com/pipedream_bumper:1.4.0
        imagePullPolicy: IfNotPresent
        name: pipedream-bumper
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
